Subject: bug#41544: 26.3; Possible incorrect results from color-distance

From: Mattias Engdegård <[email-masked]>
Date: Wed, 10 Jun 2020 21:12:22 +0200

10 juni 2020 kl. 20.37 skrev Drew Adams <[email-masked]>:

> So this never happened?  The bug was "fixed" without
> fixing this mismatch?  Too bad, if so.

I'm not dismissing your concern, but I did amend the doc string prior to pushing to state explicitly that it can be used for either foreground or background colours.

I didn't bother making separate functions since they would probably have been identical anyway, after studying the different cases. Hope that's all right, and if you can argue -- after having used it yourself in your own code -- that there is an important semantic distinction, then the code can be modified accordingly.